# Uses of Interface
java.lang.classfile.AnnotationValue.OfClass

Packages that use AnnotationValue.OfClass
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of AnnotationValue.OfClass in java.lang.classfile

Methods in java.lang.classfile that return AnnotationValue.OfClass
Modifier and Type
Method
Description
`static AnnotationValue.OfClass`
AnnotationValue.`ofClass(Utf8Entry className)`
Returns a class value for an element-value pair.
`static AnnotationValue.OfClass`
AnnotationValue.`ofClass(ClassDesc className)`
Returns a class value for an element-value pair.